package com.company.demo.ldap;

import io.jmix.ldap.userdetails.LdapUserAdditionalRoleProvider;
import org.springframework.ldap.core.DirContextOperations;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.stereotype.Component;

import java.util.HashSet;
import java.util.Set;

@Component("demo_MyLdapUserAdditionalRoleProvider")
public class MyLdapUserAdditionalRoleProvider implements LdapUserAdditionalRoleProvider {

    @Override
    public Set<GrantedAuthority> getAdditionalRoles(DirContextOperations user, String username) {
        return new HashSet<>();
    }
}
